summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--dev-python/uvloop/Manifest1
-rw-r--r--dev-python/uvloop/uvloop-0.13.0.ebuild54
2 files changed, 55 insertions, 0 deletions
diff --git a/dev-python/uvloop/Manifest b/dev-python/uvloop/Manifest
index 87af5b37536..7bd2ed3949e 100644
--- a/dev-python/uvloop/Manifest
+++ b/dev-python/uvloop/Manifest
@@ -1,2 +1,3 @@
DIST uvloop-0.12.2.tar.gz 1922375 BLAKE2B 49d17dc0899d59975d02dcc0b56e53e506e83a7f02ba7e9021abf92e8518b9904905c0175c3e2612a10f6f6d7a69505bfb024c00debf01823dcfb597966ab1a9 SHA512 59e34c83946facf70e839831dcd61fb7a8cf22df48d2ede6de84edbd4af5e789b2b404c8b7835e9a8cd7be706ad370bde2a290beab72c5d7411d35d07ee7974c
+DIST uvloop-0.13.0.tar.gz 1989805 BLAKE2B 5e825f54ab925056847b8369dfb4deaf9bc8120f7b9f3a0c58267954cf2d374f7ad91393744b7defaa3ec82f5d476f97a5555bc305d80106c84de71b7cdbc7f0 SHA512 4e24db94d207f23287a28d5b086cbd0a358f2fb3d35b55e9913b7b0867e4253259171f4d23969990b1e041fef0a28e44fcd1737e9be319293d223d987033de98
DIST uvloop-0.8.1.tar.gz 1719488 BLAKE2B eba6e15c8eb46286b6e8df6043280ec8b423f097fcf2d4d5be657ff18f0fb97ce83e5268a138cf46700f54b7040353b6588dc4b0140e11f38d7da2e26b1ff120 SHA512 45dba019a0dacaae6c2a732c3f321402c19c945b0d9fa35b9cae28f888a54c7d4b322b450c55a6cf21c1aac01dc49b90eccdffbf4cb8c812a5ec8b9e805e01e4
diff --git a/dev-python/uvloop/uvloop-0.13.0.ebuild b/dev-python/uvloop/uvloop-0.13.0.ebuild
new file mode 100644
index 00000000000..1762033eea5
--- /dev/null
+++ b/dev-python/uvloop/uvloop-0.13.0.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python{3_5,3_6,3_7} )
+inherit distutils-r1
+
+DESCRIPTION="Ultra-fast implementation of asyncio event loop on top of libuv"
+HOMEPAGE="https://github.com/magicstack/uvloop"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+KEYWORDS="~amd64 ~x86"
+LICENSE="MIT"
+SLOT="0"
+IUSE="doc examples test"
+RESTRICT="!test? ( test )"
+
+RDEPEND=">=dev-libs/libuv-1.11.0:="
+DEPEND="
+ ${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ doc? (
+ >=dev-python/alabaster-0.6.2[${PYTHON_USEDEP}]
+ dev-python/sphinx[${PYTHON_USEDEP}]
+ )
+ test? ( dev-python/pyopenssl[${PYTHON_USEDEP}] )
+"
+
+python_prepare_all() {
+ cat <<EOF >> setup.cfg || die
+[build_ext]
+use-system-libuv=1
+EOF
+
+ # flake8 only
+ rm tests/test_sourcecode.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+ use doc && esetup.py build_ext --inplace build_sphinx
+}
+
+python_test() {
+ esetup.py test
+}
+
+python_install_all() {
+ use examples && dodoc -r examples
+ use doc && local HTML_DOCS=( "${BUILD_DIR}/sphinx/html/." )
+ distutils-r1_python_install_all
+}